Documentation Index
Fetch the complete documentation index at: https://docs.ninjachat.ai/llms.txt
Use this file to discover all available pages before exploring further.
| |
|---|
| Model ID | recraft-v3 |
| Provider | Recraft |
| Cost | $0.08/img |
| Speed | ~5s |
| Best for | Design, illustrations |
Example
curl -X POST https://ninjachat.ai/api/v1/images \
-H "Authorization: Bearer nj_sk_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"model": "recraft-v3", "prompt": "A sunset over mountains, photorealistic"}'
import requests, os
r = requests.post("https://ninjachat.ai/api/v1/images",
headers={"Authorization": f"Bearer {os.environ['NINJACHAT_API_KEY']}"},
json={"model": "recraft-v3", "prompt": "A sunset over mountains, photorealistic"}
)
print(r.json()["images"][0]["url"])
Guides: Image Generation | All Models | Pricing | Error Handling